BLAKE2b_ParameterBlock Struct Reference

BLAKE2b parameter block. More...

`#include <blake2.h>`

## Public Types

enum | { DigestOff = 0 , KeyOff = 1 , FanoutOff = 2 , DepthOff = 3 , LeafOff = 4 , NodeOff = 8 , NodeDepthOff = 16 , InnerOff = 17 , RfuOff = 18 , SaltOff = 32 , PersonalizationOff = 48 }

## Public Member Functions

| BLAKE2b_ParameterBlock (size_t digestSize)
| BLAKE2b_ParameterBlock (size_t digestSize, size_t keyLength, const byte *salt, size_t saltLength, const byte *personalization, size_t personalizationLength)
void | Reset (size_t digestLength=DIGESTSIZE, size_t keyLength=0)
byte * | data ()
const byte * | data () const
size_t | size () const
byte * | salt ()
byte * | personalization ()

## Public Attributes

FixedSizeAlignedSecBlock< byte, 64, true > | m_data

## Static Public Attributes

static const int | SALTSIZE = BLAKE2b_Info::SALTSIZE
static const int | DIGESTSIZE = BLAKE2b_Info::DIGESTSIZE
static const int | PERSONALIZATIONSIZE = BLAKE2b_Info::PERSONALIZATIONSIZE

## Detailed Description

BLAKE2b parameter block.

Definition at line 111 of file blake2.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Definition at line 153 of file blake2.h.

## Constructor & Destructor Documentation

## BLAKE2b_ParameterBlock() [1/3]

BLAKE2b_ParameterBlock::BLAKE2b_ParameterBlock | ( |  | ) |

inline

Definition at line 117 of file blake2.h.

## BLAKE2b_ParameterBlock() [2/3]

BLAKE2b_ParameterBlock::BLAKE2b_ParameterBlock | ( | size_t | digestSize | ) |

inline

Definition at line 122 of file blake2.h.

## BLAKE2b_ParameterBlock() [3/3]

BLAKE2b_ParameterBlock::BLAKE2b_ParameterBlock | ( | size_t | digestSize,
|  | size_t | keyLength,
|  | const byte * | salt,
|  | size_t | saltLength,
|  | const byte * | personalization,
|  | size_t | personalizationLength
| ) |  |

Definition at line 297 of file blake2.cpp.

## Member Function Documentation

## Reset()

void BLAKE2b_ParameterBlock::Reset | ( | size_t | digestLength = `DIGESTSIZE`,
|  | size_t | keyLength = `0`
| ) |  |

Definition at line 318 of file blake2.cpp.

## data() [1/2]

byte * BLAKE2b_ParameterBlock::data | ( |  | ) |

inline

Definition at line 132 of file blake2.h.

## data() [2/2]

const byte * BLAKE2b_ParameterBlock::data | ( |  | ) | const

inline

Definition at line 136 of file blake2.h.

## size()

size_t BLAKE2b_ParameterBlock::size | ( |  | ) | const

inline

Definition at line 140 of file blake2.h.

## salt()

byte * BLAKE2b_ParameterBlock::salt | ( |  | ) |

inline

Definition at line 144 of file blake2.h.

## personalization()

byte * BLAKE2b_ParameterBlock::personalization | ( |  | ) |

inline

Definition at line 148 of file blake2.h.

## Member Data Documentation

## SALTSIZE

const int BLAKE2b_ParameterBlock::SALTSIZE = BLAKE2b_Info::SALTSIZE

static

Definition at line 113 of file blake2.h.

## DIGESTSIZE

const int BLAKE2b_ParameterBlock::DIGESTSIZE = BLAKE2b_Info::DIGESTSIZE

static

Definition at line 114 of file blake2.h.

## PERSONALIZATIONSIZE

const int BLAKE2b_ParameterBlock::PERSONALIZATIONSIZE = BLAKE2b_Info::PERSONALIZATIONSIZE

static

Definition at line 115 of file blake2.h.

## m_data

FixedSizeAlignedSecBlock<byte, 64, true> BLAKE2b_ParameterBlock::m_data

Definition at line 158 of file blake2.h.

The documentation for this struct was generated from the following files:

- blake2.h
- blake2.cpp